# Interface methods for submodule: MeshFileWriter
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate
from ._proxies import ProcessObjectProxy as _ProcessObjectProxy


# Interface methods for class: MeshFileWriter
class MeshFileWriterProxy(_ProcessObjectProxy):
	@staticmethod
	def New():
		""""""
		...

	def Clone(self):
		""""""
		...

	def GetNameOfClass(self):
		""""""
		...

	def SetInput(self, input) -> None:
		""""""
		...

	@overload
	def GetInput(self):
		""""""
		...

	@overload
	def GetInput(self, idx: int):
		""""""
		...

	@overload
	def SetFileName(self, _arg) -> None:
		""""""
		...

	@overload
	def SetFileName(self, _arg: str) -> None:
		""""""
		...

	def GetFileName(self):
		""""""
		...

	def SetMeshIO(self, io) -> None:
		""""""
		...

	def GetModifiableMeshIO(self):
		""""""
		...

	def GetMeshIO(self):
		""""""
		...

	def SetFileTypeAsASCII(self) -> None:
		""""""
		...

	def SetFileTypeAsBINARY(self) -> None:
		""""""
		...

	def Write(self) -> None:
		""""""
		...

	def Update(self) -> None:
		""""""
		...

	def SetUseCompression(self, _arg: bool) -> None:
		""""""
		...

	def GetUseCompression(self) -> bool:
		""""""
		...

	def UseCompressionOn(self) -> None:
		""""""
		...

	def UseCompressionOff(self) -> None:
		""""""
		...

